Get Statistics for All Tenant Automations
curl --request GET \
--url https://api.embedreach.com/api/automations/statisticsimport requests
url = "https://api.embedreach.com/api/automations/statistics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/automations/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"sms": {
"numberSent": 123,
"linksClicked": 123,
"openPercentage": 123,
"softBounceRate": 123,
"hardBounceRate": 123,
"spamComplaintRate": 123,
"unsubscribedRate": 123,
"errors": 123
},
"email": {
"numberSent": 123,
"linksClicked": 123,
"openPercentage": 123,
"softBounceRate": 123,
"hardBounceRate": 123,
"spamComplaintRate": 123,
"unsubscribedRate": 123,
"errors": 123
},
"sales": {
"totalRevenue": 123,
"totalOrders": 123
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Tenant Automation
Get Statistics for All Tenant Automations
Get statistics for all tenant automations
GET
/
api
/
automations
/
statistics
Get Statistics for All Tenant Automations
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
The start date of the statistics
The end date of the statistics
Filter statistics to automations matching the specified trigger type(s). Accepts a comma-separated list of values: 'one_time,trigger_based,date_based'
⌘I